> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 创建静态收款地址

> 按照指定币种和网络，生成静态收款地址

**注意**: 若 `channelId` + `chain` 已经存在静态收款地址，则会将请求中的 `currencies` 和 `callbackUrl` 更新到已绑定信息中

## 概述

本页说明 `POST /payment/open/institution/v1/pay/fixedaddress/save` 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。

## 说明

* 认证方式使用 GatePay 标准签名请求头。
* 本页展示同一接口的机构路径版本。
* 除创建子账户、查询子账户详情、分页查询子账户外，机构侧请求需携带 `X-GatePay-On-Behalf-Of`。
* 通用签名规则请参见 [/api-reference/version/100/cn/common/securityAndSignature](/api-reference/version/100/cn/common/securityAndSignature)。


## OpenAPI

````yaml api-reference/version/100/cn/openapi/institution/fixed-address-openapi.json POST /payment/open/institution/v1/pay/fixedaddress/save
openapi: 3.1.0
info:
  title: GatePay API - 静态收款地址
  version: 1.0.0
servers:
  - url: https://openplatform.gateapi.io
security: []
paths:
  /payment/open/institution/v1/pay/fixedaddress/save:
    post:
      tags:
        - 静态收款地址
      summary: 创建静态收款地址
      description: >-
        按照指定币种和网络，生成静态收款地址


        **注意**: 若 `channelId` + `chain` 已经存在静态收款地址，则会将请求中的 `currencies` 和
        `callbackUrl` 更新到已绑定信息中
      operationId: saveFixedAddress
      parameters:
        - $ref: '#/components/parameters/X-GatePay-Certificate-ClientId'
        - $ref: '#/components/parameters/X-GatePay-Signature'
        - $ref: '#/components/parameters/X-GatePay-Timestamp'
        - $ref: '#/components/parameters/X-GatePay-Nonce'
        - $ref: '#/components/parameters/X-GatePay-On-Behalf-Of'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SaveFixedAddressRequest'
            examples:
              default:
                value:
                  channelId: smart_shop
                  chain: ETH
                  currencies: USDS,USDT
                  callbackUrl: https://www.abc.com/callback
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SaveFixedAddressResponse'
              examples:
                success:
                  value:
                    status: SUCCESS
                    code: '000000'
                    errorMessage: ''
                    data:
                      channelId: smart_shop
                      chain: ETH
                      address: '0x2EBa11a702F1d53c6e2F08278819e26E6e4a63ae'
                      currencies:
                        - USDS
                        - USDT
                      callbackUrl: https://www.abc.com/callback
                      desc: ''
                      ChainShowEn: ETH /ERC20
components:
  parameters:
    X-GatePay-Certificate-ClientId:
      name: X-GatePay-Certificate-ClientId
      in: header
      required: true
      description: 商户客户端ID，在 GatePay 平台申请获得
      schema:
        type: string
        example: 4186d0c6-6a35-55a9-8dc6-5312769dbff8
    X-GatePay-Signature:
      name: X-GatePay-Signature
      in: header
      required: true
      description: HMAC-SHA256签名，用于验证请求合法性
      schema:
        type: string
        example: >-
          672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77
    X-GatePay-Timestamp:
      name: X-GatePay-Timestamp
      in: header
      required: true
      description: 时间戳（毫秒），与服务器时间差不能超过5分钟
      schema:
        type: string
        example: '1672905655498'
    X-GatePay-Nonce:
      name: X-GatePay-Nonce
      in: header
      required: true
      description: 随机数，用于防止重放攻击
      schema:
        type: string
        example: '3525756760'
    X-GatePay-On-Behalf-Of:
      name: X-GatePay-On-Behalf-Of
      in: header
      required: true
      schema:
        type: string
      description: >-
        必填代理归属请求头。请填写本次请求的发起方账户 ID；在机构代理商户 API 中通常填写目标子账户 ID，在机构代扣与划转接口中可填写机构账户
        ID 或子账户 ID。
  schemas:
    SaveFixedAddressRequest:
      type: object
      required:
        - channelId
        - chain
        - currencies
        - callbackUrl
      properties:
        channelId:
          type: string
          description: 客户名称，只支持字母、数字、下划线和破折号，长度不超过 50 字节
        chain:
          type: string
          description: 网络名称
        currencies:
          type: string
          description: 要在该静态地址上营收的币种，多币种逗号分隔，例如 `USDT,BTC`
        callbackUrl:
          type: string
          description: 该渠道到账回调地址，长度不超过 128 字节
    SaveFixedAddressResponse:
      type: object
      properties:
        status:
          type: string
          description: 响应状态
          example: SUCCESS
          enum:
            - SUCCESS
            - FAIL
        code:
          type: string
          description: 响应码
          example: '000000'
        errorMessage:
          type: string
          description: 错误信息
          example: ''
        data:
          type: object
          properties:
            channelId:
              type: string
              description: 客户名称
            chain:
              type: string
              description: 网络名称
            address:
              type: string
              description: 收款地址
            currencies:
              type: array
              items:
                type: string
              description: 该网络上的收款币种列表
            callbackUrl:
              type: string
              description: 该渠道下的收款消息回调地址
            desc:
              type: string
              description: 描述
            ChainShowEn:
              type: string
              description: 链的英文名

````